Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.cayenne.map.event
Class DomainEvent

    java.lang.Object
      java.util.EventObject
          org.apache.cayenne.event.CayenneEvent
              org.apache.cayenne.map.event.MapEvent
                  org.apache.cayenne.map.event.DomainEvent

All Implemented Interfaces:
  java.io.Serializable

    public class DomainEvent

extends MapEvent

Represents events resulted from DataDomain changes in CayenneModeler.

Author:
  Misha Shengaout, Andrei Adamchik
See Also:
  Serialized Form

Field Summary
`protected DataDomain` | `domain`

Fields inherited from class org.apache.cayenne.map.event.MapEvent
`ADD, CHANGE, id, oldName, oldNameSet, REMOVE`

Fields inherited from class org.apache.cayenne.event.CayenneEvent
`info, postedBy, subject`

Fields inherited from class java.util.EventObject
`source`

Constructor Summary
`DomainEvent(java.lang.Object src, DataDomain domain)` Creates a domain change event.
`DomainEvent(java.lang.Object src, DataDomain domain, int id)` Creates a domain event of a specified type.
`DomainEvent(java.lang.Object src, DataDomain domain, java.lang.String oldName)` Creates a domain name change event.

Method Summary
`DataDomain` | `getDomain()` Returns domain object associated with this event.
`java.lang.String` | `getNewName()` Returns the newName of the object that caused this event.
`void` | `setDomain(DataDomain domain)` Sets domain object associated with this event.

Methods inherited from class org.apache.cayenne.map.event.MapEvent
`getId, getOldName, isNameChange, setId, setOldName`

Methods inherited from class org.apache.cayenne.event.CayenneEvent
`getInfo, getPostedBy, getSubject, setPostedBy, setSubject`

Methods inherited from class java.util.EventObject
`getSource, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### domain

    protected DataDomain domain

Constructor Detail

### DomainEvent

    public DomainEvent(java.lang.Object src,
                       DataDomain domain)

  Creates a domain change event.

### DomainEvent

    public DomainEvent(java.lang.Object src,
                       DataDomain domain,
                       int id)

  Creates a domain event of a specified type.

### DomainEvent

    public DomainEvent(java.lang.Object src,
                       DataDomain domain,
                       java.lang.String oldName)

  Creates a domain name change event.

Method Detail

### getDomain

    public DataDomain getDomain()

  Returns domain object associated with this event.

### setDomain

    public void setDomain(DataDomain domain)

  Sets domain object associated with this event.

  Parameters:
    `domain` - The domain to set

### getNewName

    public java.lang.String getNewName()

  Description copied from class: `MapEvent`
  Returns the newName of the object that caused this event.

  Specified by:
    `getNewName` in class `MapEvent`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2006 Apache.org All Rights Reserved.